package com.gxlu.ps.netcruise.md.util;

import com.gxlu.ps.netcruise.md.GlobalInstance;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.apache.log4j.Logger;

/* loaded from: com_gxlu_ps_netcruise_md_util.jar:com/gxlu/ps/netcruise/md/util/LogFileUtil.class */
public class LogFileUtil {
    private Logger log = GlobalInstance.getInstance().getLogger();

    public void appendLog(String filePath, String content, String fileCharacterSet) {
        File file = new File(filePath + "/");
        if (!file.exists() || !file.isDirectory()) {
            file.mkdirs();
            this.log.info("Create file path:".concat(file.getPath()));
        }
        Date date = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
        String fileName = sdf.format(date) + ".log";
        try {
            FileOutputStream fos = new FileOutputStream(new File(filePath + "/" + fileName), true);
            BufferedOutputStream buff = new BufferedOutputStream(fos);
            byte[] byteArr = {Integer.decode("0xBE").byteValue()};
            buff.write(byteArr);
            String timeStr = Long.toHexString(date.getTime() / 1000);
            buff.write(timeStr.getBytes());
            byte[] byteArr1 = {Integer.decode("0x30").byteValue(), Integer.decode("0x30").byteValue()};
            buff.write(byteArr1);
            buff.write(ConstantValue.ALARMTERMINATOR.getBytes());
            buff.write(content.getBytes(fileCharacterSet));
            byte[] byteArr2 = {Integer.decode("0x00").byteValue()};
            buff.write(byteArr2);
            buff.flush();
            buff.close();
            fos.close();
        } catch (FileNotFoundException e) {
            this.log.debug("FileNotFoundException: ", e);
        } catch (UnsupportedEncodingException e2) {
            this.log.debug("UnsupportedEncodingException: ", e2);
        } catch (IOException e3) {
            this.log.debug("IOException: ", e3);
        }
    }
}
